from parallels.core import MigrationError


class BaseRunnerException(MigrationError):
    """Base class for all exceptions raise directly by runners"""
    def __init__(self, message):
        """Class constructor

        :type message: str | unicode
        """
        super(MigrationError, self).__init__(message)
